from contextlib import nullcontext


def serialize(g, file=None):
    if file is not None:
        cm = open(file, 'w')
    else:
        cm = nullcontext(None)
    with cm as f:
        print('p', g.number_of_nodes(), g.number_of_edges(), file=f)
        for v in g:
            for u in g[v]:
                if v < u:
                    print('e', v + 1, u + 1, file=f)
