import networkx as nx

n = 100_000
p = 8e-5

if __name__ == '__main__':
    g = nx.fast_gnp_random_graph(n, p)
    with open('gnp.txt', 'w') as f:
        print('p', g.number_of_nodes(), g.number_of_edges(), file=f)
        for v in g:
            for u in g[v]:
                if v < u:
                    print('e', v + 1, u + 1, file=f)
