#!/bin/zsh
mkdir data
cd data
rm *.gz
rm *.txt
curl https://snap.stanford.edu/data/bigdata/communities/com-amazon.ungraph.txt.gz -O
curl https://snap.stanford.edu/data/as20000102.txt.gz -O
curl https://snap.stanford.edu/data/p2p-Gnutella04.txt.gz -O 
curl https://snap.stanford.edu/data/p2p-Gnutella05.txt.gz -O 
curl https://snap.stanford.edu/data/p2p-Gnutella06.txt.gz -O 
curl https://snap.stanford.edu/data/p2p-Gnutella08.txt.gz -O 
curl https://snap.stanford.edu/data/p2p-Gnutella09.txt.gz -O 
curl https://snap.stanford.edu/data/p2p-Gnutella25.txt.gz -O 
curl https://snap.stanford.edu/data/ca-HepTh.txt.gz -O
curl https://snap.stanford.edu/data/bigdata/communities/com-orkut.ungraph.txt.gz -O
curl https://snap.stanford.edu/data/bigdata/communities/com-youtube.ungraph.txt.gz -O
curl https://snap.stanford.edu/data/wiki-topcats.txt.gz -O
curl https://snap.stanford.edu/data/bigdata/communities/com-lj.ungraph.txt.gz -O
curl https://snap.stanford.edu/data/facebook_combined.txt.gz -O
curl https://snap.stanford.edu/data/gplus_combined.txt.gz -O
curl https://snap.stanford.edu/data/twitter_combined.txt.gz -O
curl https://snap.stanford.edu/data/soc-LiveJournal1.txt.gz -O
curl https://snap.stanford.edu/data/soc-Epinions1.txt.gz -O
curl https://snap.stanford.edu/data/soc-Slashdot0811.txt.gz -O
curl https://snap.stanford.edu/data/bigdata/communities/com-dblp.ungraph.txt.gz -O
curl https://snap.stanford.edu/data/soc-Slashdot0902.txt.gz -O
curl https://snap.stanford.edu/data/email-Eu-core.txt.gz -O
curl https://snap.stanford.edu/data/email-Enron.txt.gz -O
curl https://snap.stanford.edu/data/ca-AstroPh.txt.gz -O
curl https://snap.stanford.edu/data/ca-CondMat.txt.gz -O
curl https://snap.stanford.edu/data/ca-GrQc.txt.gz -O
curl https://snap.stanford.edu/data/ca-HepPh.txt.gz -O
curl https://snap.stanford.edu/data/roadNet-CA.txt.gz -O
curl https://snap.stanford.edu/data/roadNet-PA.txt.gz -O
curl https://snap.stanford.edu/data/roadNet-TX.txt.gz -O
curl https://snap.stanford.edu/data/as-skitter.txt.gz -O


for a in `ls -1 *.txt.gz`; do gzip -df $a ; done

for a in `ls -1 *.txt`; do 
	echo converting $a 
	cat $a | ../snap_to_dimacs > $a.dimacs
	rm $a
done

#for a in `ls -1 *.txt`; do 
#	cat $a | grep -v "#" | tr -d '\r' |  gawk '{ delete a; for (i=1; i<=NF; i++) a[$i]++; n=asorti(a, b, "@val_num_asc"); for (i=1; i<n; i++) printf b[i]" "; print b[n];  }'  | grep " " | sort -n | uniq > tmp.txt ;
#	mv tmp.txt $a
#done
