#!/bin/zsh
mkdir data
cd data
rm *.gz
rm *.txt
curl https://snap.stanford.edu/data/bigdata/communities/com-amazon.ungraph.txt.gz -O
curl https://snap.stanford.edu/data/soc-pokec-relationships.txt.gz -O
curl https://snap.stanford.edu/data/gplus_combined.txt.gz -O
curl https://snap.stanford.edu/data/wiki-Talk.txt.gz -O
curl https://snap.stanford.edu/data/web-BerkStan.txt.gz -O
curl https://snap.stanford.edu/data/web-Google.txt.gz -O
curl https://snap.stanford.edu/data/web-NotreDame.txt.gz -O
curl https://snap.stanford.edu/data/web-Stanford.txt.gz -O
curl https://snap.stanford.edu/data/amazon0302.txt.gz -O
curl https://snap.stanford.edu/data/amazon0312.txt.gz -O
curl https://snap.stanford.edu/data/amazon0505.txt.gz -O
curl https://snap.stanford.edu/data/amazon0601.txt.gz -O
curl https://snap.stanford.edu/data/soc-sign-epinions.txt.gz -O
curl https://snap.stanford.edu/data/soc-sign-Slashdot081106.txt.gz -O
curl https://snap.stanford.edu/data/soc-sign-Slashdot090216.txt.gz -O
curl https://snap.stanford.edu/data/soc-sign-Slashdot090221.txt.gz -O
curl https://snap.stanford.edu/data/loc-gowalla_edges.txt.gz -O
curl https://snap.stanford.edu/data/wiki-Talk.txt.gz -O


for a in `ls -1 *.txt.gz`; do gzip -df $a ; done

for a in `ls -1 *.txt`; do 
	echo converting $a 
	cat $a | ../snap_to_dimacs > $a.dimacs
	rm $a
done

#for a in `ls -1 *.txt`; do 
#	cat $a | grep -v "#" | tr -d '\r' |  gawk '{ delete a; for (i=1; i<=NF; i++) a[$i]++; n=asorti(a, b, "@val_num_asc"); for (i=1; i<n; i++) printf b[i]" "; print b[n];  }'  | grep " " | sort -n | uniq > tmp.txt ;
#	mv tmp.txt $a
#done
